/*1. Die Prüfungsnoten für n Studenten (Imma-Nr.) mit je p Fächern sind in einer
(neuen) Datei zu speichern. Definieren Sie p als Konstante und lesen Sie n ein,
ansonsten dürfen Sie zum Testen Zufallszahlen verwenden.
Lesen Sie für jeden Studenten die Daten aus der Datei, berechnen Sie seinen
Notendurchschnitt und geben Sie alles in Tabellenform (s.u.) aus!

Student(Imma-Nr.) | Note 1 | Note 2 | ... | Note p | Notendurchschnitt
-----------------------------------------------------------------------------*/
#include <stdlib.h>
#include <stdio.h>
#define p 5
int main()
{ int inr, i, j, n, noten[p];  char dateiname[]="s://gruppe1.dat";  float d;
  FILE * f;
  printf("\n Anzahl der Studenten: ");    srand(time(0));
  scanf("%i", &n);

  f= fopen( dateiname, "a");
  if( f==0 ) printf("\n Datei konnte nicht geoeffnet werden! \n");
  else{ for( i=0; i<n; i++)
        {  inr= rand()%100000+111111;
           fprintf( f, "%i ", inr);
           for( j=0; j<p; j++)
           { noten[j]= rand()%5+1;
             fprintf( f, "%i ", noten[j]);
             printf(" %i ", noten[j] );
           }
           printf("\n");
        }
        fclose( f );
        printf("\n\n");
        f= fopen( dateiname, "r");
        if( f==NULL)printf("\n Datei konnte nicht geoeffnet werden! \n");
        else while( fscanf( f, "%i ", &inr) ==1 )
             {  printf("\n %6i: ", inr);
                d=0;
                for( i=0; i<p; i++)
                { fscanf( f, "%i ", &noten[i]);
                  printf(" %i ", noten[i] );
                  d= d+ noten[i];
                }
                d= d/p; printf(" d= %f", d);
             }
             fclose( f);

  }/* else*/

 printf("\n\n"); system("PAUSE");  return 0;
}
